#3268 closed defect (fixed)

PowerPC BSP include naming mess.

Reported by: Chris Johns Owned by:
Priority: normal Milestone: 5.1
Component: arch/powerpc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The PowerPC BSP family headers need some refactoring for the RTEMS 5 release. The BSP family relies on the preinstall process to get suitable headers installed to work and removing preinstall exposes this. The specific issue appears with irq.h when building the no-preinstall branch. There is a PowerPC BSP family header and a number of BSPs also have an irq.h which overrides families header. The code has #include <bsp/irq.h> and the header used depends on the include order on the GCC command line. This is fragile for any user. These headers needs to be moved to BSP specific paths, for example #include <mvme3100/irq.h>.

Change History (5)

comment:1 Changed on Jan 1, 2018 at 12:01:31 AM by Chris Johns

Component: adminarch/powerpc

comment:2 Changed on Jan 1, 2018 at 1:16:31 AM by Chris Johns

Add on to the list i2c.h in the mpc5200.

comment:3 Changed on Jan 4, 2018 at 6:19:59 AM by Sebastian Huber <sebastian.huber@…>

In e1c0d67/rtems:

bsp/mpc55xxevb: Move <bsp/irq.h>

Update #3254.
Update #3268.

comment:4 Changed on Jan 4, 2018 at 6:21:02 AM by Sebastian Huber <sebastian.huber@…>

In fb01816b/rtems:

bsps/powerpc: Move shared irq.h

This header file is only used by motorola_powerpc, so not shared.

Update #3254.
Update #3268.

comment:5 Changed on Jan 22, 2018 at 11:32:08 AM by Sebastian Huber

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.